Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.datasource.pool
Interface ConnectionPoolProperties

All Known Implementing Classes:
  AbstractDataSourceBean, AtomikosConnectionFactoryBean, AtomikosDataSourceBean, AtomikosNonXADataSourceBean

    public interface ConnectionPoolProperties

This interface describes connection pool properties.

Method Summary
`int` | `getBorrowConnectionTimeout()` Gets the borrow connection timeout.
`int` | `getDefaultIsolationLevel()` Gets the default isolation level preference.
`boolean` | `getLocalTransactionMode()` Tests whether local transactions are to be allowed or not.
`int` | `getMaintenanceInterval()` Gets the maintenance interval of the pool's maintenance thread.
`int` | `getMaxIdleTime()` Gets the max time in seconds a connection can stay idle before being closed.
`int` | `getMaxPoolSize()` Gets the maximum pool size.
`int` | `getMinPoolSize()` Gets the minimum pool size.
`int` | `getReapTimeout()` Gets the reap timeout.
`String` | `getTestQuery()` Gets the query used to test connections.
`String` | `getUniqueResourceName()` Gets the unique resource name.

Method Detail

### getUniqueResourceName

    String getUniqueResourceName()

  Gets the unique resource name.

  Returns:

### getMaxPoolSize

    int getMaxPoolSize()

  Gets the maximum pool size.

  Returns:

### getMinPoolSize

    int getMinPoolSize()

  Gets the minimum pool size.

  Returns:

### getBorrowConnectionTimeout

    int getBorrowConnectionTimeout()

  Gets the borrow connection timeout.

  Returns:

### getReapTimeout

    int getReapTimeout()

  Gets the reap timeout.

  Returns:

### getMaxIdleTime

    int getMaxIdleTime()

  Gets the max time in seconds a connection can stay idle before being closed.

  Returns:

### getMaintenanceInterval

    int getMaintenanceInterval()

  Gets the maintenance interval of the pool's maintenance thread.

  Returns:

### getTestQuery

    String getTestQuery()

  Gets the query used to test connections.

  Returns:

### getLocalTransactionMode

    boolean getLocalTransactionMode()

  Tests whether local transactions are to be allowed or not.

  Returns:

### getDefaultIsolationLevel

    int getDefaultIsolationLevel()

  Gets the default isolation level preference.

  Returns:
    The level, or -1 if not set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.